import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionProgramaController } from './institucion-programa.controller';
import { InstitucionProgramaService } from './institucion-programa.service';
import { InstitucionPrograma } from './entity/institucion-programa.entity';
import { Programa } from './entity/programa.entity';
import { InstitucionModule } from '../institucion/institucion.module';

@Module({
  imports: [
    InstitucionModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([InstitucionPrograma, Programa]),
  ],
  controllers: [InstitucionProgramaController],
  providers: [InstitucionProgramaService],
  exports: [InstitucionProgramaService],
})
export class InstitucionProgramaModule {}
