import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Modulo } from '../../modulo/entity/modulo.entity';
import { Operador } from '../../operador/entity/operador.entity';

@Entity()
export class ModuloMotivo {
  @PrimaryGeneratedColumn()
  id_motivo: number;

  @Column({ type: Date, nullable: false })
  fecha_creacion: Date;

  @Column({ type: String, nullable: false, length: 250 })
  motivo: string;

  @Column({ type: Number, nullable: false })
  numero_alumnos: number;

  @Column({ type: Number, nullable: true })
  id_modulo: number;

  @Column({ type: Number, nullable: true })
  id_operador: number;

  @ManyToOne(() => Modulo, (modulo) => modulo.motivos)
  @JoinColumn({ name: 'id_modulo' })
  modulo: Modulo;

  @ManyToOne(() => Operador, (operador) => operador.motivosModulo, {
    eager: true,
  })
  @JoinColumn({ name: 'id_operador' })
  operador: Operador;
}
